## r-bioc-rsamtools 1.14.2

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), variant call (BCF), or tabix file import
Version: 1.14.2
Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain
Maintainer: Bioconductor Package Maintainer
        <maintainer@bioconductor.org>
Description: This package provides an interface to the 'samtools',
  'bcftools', and 'tabix' utilities (see 'LICENCE') for manipulating
  SAM (Sequence Alignment / Map), binary variant call (BCF) and
  compressed indexed tab-delimited (tabix) files. 
URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
License: Artistic-2.0 | file LICENSE
LazyLoad: yes
Depends: methods, IRanges (>= 1.19.11), GenomicRanges (>= 1.13.35),
        XVector, Biostrings (>= 2.29.7)
Imports: utils, BiocGenerics (>= 0.1.3), zlibbioc, bitops
Suggests: ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, pasillaBamSubset, RUnit, BiocStyle
LinkingTo: IRanges, XVector, Biostrings
biocViews: DataImport, Sequencing, HighThroughputSequencing
Packaged: 2013-11-23 05:05:45 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.14.2-1) unstable; urgency=low

  * New upstream version (adapted patch)
    Closes: #730984
  * Build-Depends: r-bioc-xvector

 -- Andreas Tille <tille@debian.org>  Sun, 01 Dec 2013 09:45:58 +0100

r-bioc-rsamtools (1.12.4-1) unstable; urgency=low

  * Initial release (closes: #728285)

 -- Andreas Tille <tille@debian.org>  Wed, 04 Sep 2013 11:11:22 +0200

=== debian/control ===
Source: r-bioc-rsamtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-bitops,
               r-bioc-biocgenerics,
               r-bioc-iranges,
               r-bioc-biostrings,
               r-bioc-genomicranges,
               r-bioc-xvector,
               libbam-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
Homepage: http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html

Package: r-bioc-rsamtools
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-cran-bitops,
         r-bioc-biocgenerics,
         r-bioc-iranges,
         r-bioc-biostrings,
         r-bioc-genomicranges,
         r-bioc-xvector
# The following BioConductor modules are not yet packaged but used in the unit test
Suggests: r-bioc-pasillabamsubset, r-bioc-shortread
Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html .*/Rsamtools_([\d\.]+)\.tar\.gz

## r-bioc-rsamtools 1.16.1

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), variant call (BCF), or tabix file import
Version: 1.16.1
Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Description: This package provides an interface to the 'samtools',
        'bcftools', and 'tabix' utilities (see 'LICENCE') for
        manipulating SAM (Sequence Alignment / Map), binary variant
        call (BCF) and compressed indexed tab-delimited (tabix) files.
URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
License: Artistic-2.0 | file LICENSE
LazyLoad: yes
Depends: methods, IRanges (>= 1.21.10), GenomicRanges (>= 1.15.11),
        XVector (>= 0.3.2), Biostrings (>= 2.31.3), GenomeInfoDb(>=
        0.99.17)
Imports: utils, BiocGenerics (>= 0.1.3), zlibbioc, bitops
Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, pasillaBamSubset, RUnit, BiocStyle
LinkingTo: IRanges, XVector, Biostrings
biocViews: DataImport, Sequencing
Packaged: 2014-06-13 01:23:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.16.1-2) unstable; urgency=medium

  * debian/README.test: Fix advise for testing the package
  * debian/control: Recommends: r-bioc-shortread
  * Rebuild against recent BioC tools
    Closes: #753233

 -- Andreas Tille <tille@debian.org>  Wed, 09 Jul 2014 13:38:19 +0200

r-bioc-rsamtools (1.16.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debian/README.test:  More verbose information how to run the
    test suite

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jun 2014 16:28:55 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-bioc-genomicranges,
                r-bioc-xvector,
                libbam-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html
@@ -29,8 +29,7 @@
          r-bioc-biostrings,
          r-bioc-genomicranges,
          r-bioc-xvector
-# The following BioConductor modules are not yet packaged but used in the unit test
-Suggests: r-bioc-pasillabamsubset, r-bioc-shortread
+Recommends: r-bioc-shortread
 Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
  This package provides an interface to the 'samtools', 'bcftools', and
  'tabix' utilities for manipulating SAM (Sequence Alignment / Map),

## r-bioc-rsamtools 1.20.4

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
        file import
Version: 1.20.4
Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel Hayden
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Description: This package provides an interface to the 'samtools',
        'bcftools', and 'tabix' utilities (see 'LICENCE') for
        manipulating SAM (Sequence Alignment / Map), FASTA, binary
        variant call (BCF) and compressed indexed tab-delimited
        (tabix) files.
URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
License: Artistic-2.0 | file LICENSE
LazyLoad: yes
Depends: methods, S4Vectors (>= 0.5.11), IRanges (>= 1.99.17),
        GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.17.19), XVector
        (>= 0.5.3), Biostrings (>= 2.33.11)
Imports: utils, BiocGenerics (>= 0.1.3), zlibbioc, bitops
Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, pasillaBamSubset, RUnit, BiocStyle
LinkingTo: S4Vectors, IRanges, XVector, Biostrings
biocViews: DataImport, Sequencing, Coverage, Alignment, QualityControl
Video:
        https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
NeedsCompilation: yes
Packaged: 2015-06-01 02:25:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.20.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 16:20:16 +0200

r-bioc-rsamtools (1.20.1-1) unstable; urgency=medium

  * New upstream version
  * Activate autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2015 11:34:17 +0200

r-bioc-rsamtools (1.18.0-1) experimental; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2014 18:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,10 @@
                cdbs,
                r-base-dev,
                r-cran-bitops,
-               r-bioc-biocgenerics,
-               r-bioc-iranges,
-               r-bioc-biostrings,
-               r-bioc-genomicranges,
-               r-bioc-xvector,
+               r-bioc-biostrings (>= 2.34.0),
+               r-bioc-genomicranges (>= 1.18.0),
                libbam-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html
@@ -24,11 +21,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          r-cran-bitops,
-         r-bioc-biocgenerics,
-         r-bioc-iranges,
-         r-bioc-biostrings,
-         r-bioc-genomicranges,
-         r-bioc-xvector
+         r-bioc-biostrings (>= 2.34.0),
+         r-bioc-genomicranges (>= 1.18.0)
 Recommends: r-bioc-shortread
 Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
  This package provides an interface to the 'samtools', 'bcftools', and

## r-bioc-rsamtools 1.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 1.20.4
+Version: 1.22.0
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel Hayden
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -14,10 +14,10 @@
 URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
 License: Artistic-2.0 | file LICENSE
 LazyLoad: yes
-Depends: methods, S4Vectors (>= 0.5.11), IRanges (>= 1.99.17),
-        GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.17.19), XVector
-        (>= 0.5.3), Biostrings (>= 2.33.11)
-Imports: utils, BiocGenerics (>= 0.1.3), zlibbioc, bitops
+Depends: methods, S4Vectors (>= 0.7.11), IRanges (>= 2.3.7),
+        GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.21.6), XVector (>=
+        0.9.1), Biostrings (>= 2.37.1)
+Imports: utils, BiocGenerics (>= 0.1.3), zlibbioc, bitops, BiocParallel
 Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
@@ -27,4 +27,4 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 NeedsCompilation: yes
-Packaged: 2015-06-01 02:25:42 UTC; biocbuild
+Packaged: 2015-10-14 01:32:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.22.0-1) unstable; urgency=medium

  * New upstream version
  * (Build-)Depends: r-bioc-biocparallel
  * Add lintian-override for false positive

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2015 14:05:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                cdbs,
                r-base-dev,
                r-cran-bitops,
-               r-bioc-biostrings (>= 2.34.0),
-               r-bioc-genomicranges (>= 1.18.0),
+               r-bioc-biostrings (>= 2.38.0),
+               r-bioc-genomicranges (>= 1.22.0),
+               r-bioc-biocparallel,
                libbam-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
@@ -22,7 +23,8 @@
          ${shlibs:Depends},
          r-cran-bitops,
          r-bioc-biostrings (>= 2.34.0),
-         r-bioc-genomicranges (>= 1.18.0)
+         r-bioc-genomicranges (>= 1.18.0),
+         r-bioc-biocparallel
 Recommends: r-bioc-shortread
 Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
  This package provides an interface to the 'samtools', 'bcftools', and

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=bioc
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/LICENSE

clean::
	dh_clean
	rm -f src/*.a

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html .*/Rsamtools_([\d\.]+)\.tar\.gz

## r-bioc-rsamtools 1.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 1.22.0
+Version: 1.24.0
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel Hayden
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -14,10 +14,10 @@
 URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
 License: Artistic-2.0 | file LICENSE
 LazyLoad: yes
-Depends: methods, S4Vectors (>= 0.7.11), IRanges (>= 2.3.7),
-        GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.21.6), XVector (>=
-        0.9.1), Biostrings (>= 2.37.1)
-Imports: utils, BiocGenerics (>= 0.1.3), zlibbioc, bitops, BiocParallel
+Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.21.6),
+        Biostrings (>= 2.37.1)
+Imports: utils, BiocGenerics (>= 0.1.3), S4Vectors (>= 0.7.11), IRanges
+        (>= 2.3.7), XVector (>= 0.9.1), zlibbioc, bitops, BiocParallel
 Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
@@ -27,4 +27,4 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 NeedsCompilation: yes
-Packaged: 2015-10-14 01:32:35 UTC; biocbuild
+Packaged: 2016-05-04 03:32:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.24.0-1) unstable; urgency=medium

  * New upstream version
  * Fix versioned Dependencies

 -- Andreas Tille <tille@debian.org>  Sun, 08 May 2016 21:06:24 +0200

r-bioc-rsamtools (1.22.0-2) unstable; urgency=medium

  * Fix autopkgtest by adding r-cran-runit
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 20:29:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                cdbs,
                r-base-dev,
                r-cran-bitops,
-               r-bioc-biostrings (>= 2.38.0),
-               r-bioc-genomicranges (>= 1.22.0),
+               r-bioc-biostrings (>= 2.40.0),
+               r-bioc-genomicranges (>= 1.24.0),
                r-bioc-biocparallel,
                libbam-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
 Homepage: http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html
 
@@ -22,8 +22,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          r-cran-bitops,
-         r-bioc-biostrings (>= 2.34.0),
-         r-bioc-genomicranges (>= 1.18.0),
+         r-bioc-biostrings (>= 2.40.0),
+         r-bioc-genomicranges (>= 1.24.0),
          r-bioc-biocparallel
 Recommends: r-bioc-shortread
 Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import

## r-bioc-rsamtools 1.26.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 1.24.0
+Version: 1.26.1
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel Hayden
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -27,4 +27,4 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 NeedsCompilation: yes
-Packaged: 2016-05-04 03:32:34 UTC; biocbuild
+Packaged: 2016-10-21 22:37:51 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.26.1-2) unstable; urgency=medium

  * Remove test requiring network connection
  * debhelper 10
  * d/watch: version=4
  * drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 17:25:11 +0100

r-bioc-rsamtools (1.26.1-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2016 17:15:09 +0200

=== debian/control ===
Source: r-bioc-rsamtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-bitops,
               r-bioc-biostrings (>= 2.40.0),
               r-bioc-genomicranges (>= 1.24.0),
               r-bioc-biocparallel,
               libbam-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
Homepage: https://bioconductor.org/packages/Rsamtools/

Package: r-bioc-rsamtools
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.

## r-bioc-rsamtools 1.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 1.26.1
+Version: 1.28.0
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel Hayden
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
@@ -16,8 +16,8 @@
 LazyLoad: yes
 Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.21.6),
         Biostrings (>= 2.37.1)
-Imports: utils, BiocGenerics (>= 0.1.3), S4Vectors (>= 0.7.11), IRanges
-        (>= 2.3.7), XVector (>= 0.9.1), zlibbioc, bitops, BiocParallel
+Imports: utils, BiocGenerics (>= 0.1.3), S4Vectors (>= 0.13.8), IRanges
+        (>= 2.3.7), XVector (>= 0.15.1), zlibbioc, bitops, BiocParallel
 Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
@@ -27,4 +27,4 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 NeedsCompilation: yes
-Packaged: 2016-10-21 22:37:51 UTC; biocbuild
+Packaged: 2017-04-24 22:51:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.28.0-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 16:06:17 +0200

r-bioc-rsamtools (1.28.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Drop unused debian/patches/use-debian-packaged-libs.patch

 -- Graham Inggs <ginggs@debian.org>  Mon, 29 May 2017 13:43:34 +0200

## r-bioc-rsamtools 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 1.28.0
-Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel Hayden
+Version: 1.30.0
+Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel
+    Hayden
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
 Description: This package provides an interface to the 'samtools',
-        'bcftools', and 'tabix' utilities (see 'LICENCE') for
-        manipulating SAM (Sequence Alignment / Map), FASTA, binary
-        variant call (BCF) and compressed indexed tab-delimited
-        (tabix) files.
+    'bcftools', and 'tabix' utilities (see 'LICENCE') for manipulating
+    SAM (Sequence Alignment / Map), FASTA, binary variant call (BCF)
+    and compressed indexed tab-delimited (tabix) files.
 URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
 License: Artistic-2.0 | file LICENSE
 LazyLoad: yes
@@ -27,4 +27,4 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 NeedsCompilation: yes
-Packaged: 2017-04-24 22:51:56 UTC; biocbuild
+Packaged: 2017-10-30 23:02:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.30.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2017 14:43:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                r-bioc-genomicranges (>= 1.24.0),
                r-bioc-biocparallel,
                libbam-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-rsamtools/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-rsamtools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-rsamtools.git
 Homepage: https://bioconductor.org/packages/Rsamtools/
 
 Package: r-bioc-rsamtools
 Architecture: any
 Depends: ${R:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-bioc-shortread
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html .*/Rsamtools_([\d\.]+)\.tar\.gz

## r-bioc-rsamtools 1.32.2

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
        file import
Version: 1.32.2
Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel
    Hayden
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Description: This package provides an interface to the 'samtools',
    'bcftools', and 'tabix' utilities (see 'LICENCE') for manipulating
    SAM (Sequence Alignment / Map), FASTA, binary variant call (BCF)
    and compressed indexed tab-delimited (tabix) files.
URL: http://bioconductor.org/packages/release/bioc/html/Rsamtools.html
License: Artistic-2.0 | file LICENSE
LazyLoad: yes
Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.31.8),
        Biostrings (>= 2.47.6)
Imports: utils, BiocGenerics (>= 0.25.1), S4Vectors (>= 0.17.25),
        IRanges (>= 2.13.12), XVector (>= 0.19.7), zlibbioc, bitops,
        BiocParallel
Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle
LinkingTo: S4Vectors, IRanges, XVector, Biostrings
biocViews: DataImport, Sequencing, Coverage, Alignment, QualityControl
Video:
        https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
git_url: https://git.bioconductor.org/packages/Rsamtools
git_branch: RELEASE_3_7
git_last_commit: 2b3254c
git_last_commit_date: 2018-07-03
Date/Publication: 2018-07-03
NeedsCompilation: yes
Packaged: 2018-07-03 23:09:37 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.32.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 08:25:42 +0200

r-bioc-rsamtools (1.32.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 07:51:50 +0200

r-bioc-rsamtools (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * dh-update-R to update Build-Depends
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Secure URI in watch file
  * Do not try to use libbam-dev which is a way more recent version but
    incompatible version than what is shipped inside r-bioc-rsamtools
    source download

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 11:16:52 +0200

=== debian/control ===
Source: r-bioc-rsamtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-genomeinfodb (>= 1.1.3),
               r-bioc-genomicranges (>= 1.31.8),
               r-bioc-biostrings (>= 2.47.6),
               r-bioc-biocgenerics (>= 0.25.1),
               r-bioc-s4vectors (>= 0.17.25),
               r-bioc-iranges (>= 2.13.12),
               r-bioc-xvector (>= 0.19.7),
               r-cran-bitops,
               r-bioc-biocparallel
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
Homepage: https://bioconductor.org/packages/Rsamtools/

Package: r-bioc-rsamtools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.

## r-bioc-rsamtools 1.34.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 1.32.2
+Version: 1.34.1
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel
     Hayden
 Maintainer: Bioconductor Package Maintainer
@@ -28,9 +28,9 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_7
-git_last_commit: 2b3254c
-git_last_commit_date: 2018-07-03
-Date/Publication: 2018-07-03
+git_branch: RELEASE_3_8
+git_last_commit: 0ec1d45
+git_last_commit_date: 2019-01-30
+Date/Publication: 2019-01-31
 NeedsCompilation: yes
-Packaged: 2018-07-03 23:09:37 UTC; biocbuild
+Packaged: 2019-02-01 00:09:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (1.34.1-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Remove patch and use r-bioc-zlibbioc.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Tue, 05 Feb 2019 10:58:48 +0100

r-bioc-rsamtools (1.34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 10 Nov 2018 22:24:06 +0100

r-bioc-rsamtools (1.32.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 17:06:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-genomeinfodb (>= 1.1.3),
@@ -13,9 +13,10 @@
                r-bioc-s4vectors (>= 0.17.25),
                r-bioc-iranges (>= 2.13.12),
                r-bioc-xvector (>= 0.19.7),
+               r-bioc-zlibbioc,
                r-cran-bitops,
                r-bioc-biocparallel
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
 Homepage: https://bioconductor.org/packages/Rsamtools/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html .*/Rsamtools_([\d\.]+)\.tar\.gz

## r-bioc-rsamtools 2.0.0

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
        file import
Version: 2.0.0
Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel
    Hayden
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Description: This package provides an interface to the 'samtools',
    'bcftools', and 'tabix' utilities for manipulating SAM (Sequence
    Alignment / Map), FASTA, binary variant call (BCF) and compressed
    indexed tab-delimited (tabix) files.
URL: http://bioconductor.org/packages/Rsamtools
License: Artistic-2.0 | file LICENSE
LazyLoad: yes
Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.31.8),
        Biostrings (>= 2.47.6)
Imports: utils, BiocGenerics (>= 0.25.1), S4Vectors (>= 0.17.25),
        IRanges (>= 2.13.12), XVector (>= 0.19.7), zlibbioc, bitops,
        BiocParallel
Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle
LinkingTo: Rhtslib (>= 1.15.3), S4Vectors, IRanges, XVector, Biostrings
biocViews: DataImport, Sequencing, Coverage, Alignment, QualityControl
Video:
        https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
git_url: https://git.bioconductor.org/packages/Rsamtools
git_branch: RELEASE_3_9
git_last_commit: dc422f7
git_last_commit_date: 2019-05-02
Date/Publication: 2019-05-02
NeedsCompilation: yes
Packaged: 2019-05-03 00:03:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * New Build-Depends: r-bioc-rhtslib

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 08:07:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                r-bioc-genomicranges (>= 1.31.8),
                r-bioc-biostrings (>= 2.47.6),
                r-bioc-biocgenerics (>= 0.25.1),
+               r-bioc-rhtslib (>= 1.15.3),
                r-bioc-s4vectors (>= 0.17.25),
                r-bioc-iranges (>= 2.13.12),
                r-bioc-xvector (>= 0.19.7),

## r-bioc-rsamtools 2.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 2.0.0
+Version: 2.2.3
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel
     Hayden
 Maintainer: Bioconductor Package Maintainer
@@ -23,14 +23,15 @@
         TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
         BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle
-LinkingTo: Rhtslib (>= 1.15.3), S4Vectors, IRanges, XVector, Biostrings
+LinkingTo: Rhtslib (>= 1.17.7), S4Vectors, IRanges, XVector, Biostrings
+SystemRequirements: GNU make
 biocViews: DataImport, Sequencing, Coverage, Alignment, QualityControl
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_9
-git_last_commit: dc422f7
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 073d892
+git_last_commit_date: 2020-02-22
+Date/Publication: 2020-02-23
 NeedsCompilation: yes
-Packaged: 2019-05-03 00:03:16 UTC; biocbuild
+Packaged: 2020-02-24 00:49:05 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 26 Feb 2020 06:51:27 +0100

r-bioc-rsamtools (2.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Feb 2020 12:43:20 +0100

r-bioc-rsamtools (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends
  * Add libcurl4-openssl-dev to Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Nov 2019 09:30:13 +0100

r-bioc-rsamtools (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 21:08:55 +0100

r-bioc-rsamtools (2.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 07 Oct 2019 08:48:33 +0200

r-bioc-rsamtools (2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2019 13:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-bioc-genomeinfodb (>= 1.1.3),
                r-bioc-genomicranges (>= 1.31.8),
                r-bioc-biostrings (>= 2.47.6),
                r-bioc-biocgenerics (>= 0.25.1),
-               r-bioc-rhtslib (>= 1.15.3),
                r-bioc-s4vectors (>= 0.17.25),
                r-bioc-iranges (>= 2.13.12),
                r-bioc-xvector (>= 0.19.7),
                r-bioc-zlibbioc,
                r-cran-bitops,
-               r-bioc-biocparallel
-Standards-Version: 4.3.0
+               r-bioc-biocparallel,
+               r-bioc-rhtslib,
+               libcurl4-openssl-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
 Homepage: https://bioconductor.org/packages/Rsamtools/

## r-bioc-rsamtools 2.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
         file import
-Version: 2.2.3
+Version: 2.4.0
 Author: Martin Morgan, Herv\'e Pag\`es, Valerie Obenchain, Nathaniel
     Hayden
 Maintainer: Bioconductor Package Maintainer
@@ -18,7 +18,7 @@
         Biostrings (>= 2.47.6)
 Imports: utils, BiocGenerics (>= 0.25.1), S4Vectors (>= 0.17.25),
         IRanges (>= 2.13.12), XVector (>= 0.19.7), zlibbioc, bitops,
-        BiocParallel
+        BiocParallel, stats
 Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
         TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
@@ -29,9 +29,9 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_10
-git_last_commit: 073d892
-git_last_commit_date: 2020-02-22
-Date/Publication: 2020-02-23
+git_branch: RELEASE_3_11
+git_last_commit: 3871cc8
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2020-02-24 00:49:05 UTC; biocbuild
+Packaged: 2020-04-28 00:11:54 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.4.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:50:00 +0000

r-bioc-rsamtools (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 19 May 2020 11:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -22,6 +23,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
 Homepage: https://bioconductor.org/packages/Rsamtools/
+Rules-Requires-Root: no
 
 Package: r-bioc-rsamtools
 Architecture: any

## r-bioc-rsamtools 2.6.0

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
        file import
Description: This package provides an interface to the 'samtools',
    'bcftools', and 'tabix' utilities for manipulating SAM (Sequence
    Alignment / Map), FASTA, binary variant call (BCF) and compressed
    indexed tab-delimited (tabix) files.
biocViews: DataImport, Sequencing, Coverage, Alignment, QualityControl
URL: https://bioconductor.org/packages/Rsamtools
Video:
        https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
BugReports: https://github.com/Bioconductor/Rsamtools/issues
Version: 2.6.0
License: Artistic-2.0 | file LICENSE
Encoding: UTF-8
Author: Martin Morgan, Hervé Pagès, Valerie Obenchain, Nathaniel
    Hayden
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.31.8),
        Biostrings (>= 2.47.6)
Imports: utils, BiocGenerics (>= 0.25.1), S4Vectors (>= 0.17.25),
        IRanges (>= 2.13.12), XVector (>= 0.19.7), zlibbioc, bitops,
        BiocParallel, stats
Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle
LinkingTo: Rhtslib (>= 1.17.7), S4Vectors, IRanges, XVector, Biostrings
LazyLoad: yes
SystemRequirements: GNU make
git_url: https://git.bioconductor.org/packages/Rsamtools
git_branch: RELEASE_3_12
git_last_commit: f2aea06
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 03:04:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.6.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:47:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-genomeinfodb (>= 1.1.3),

## r-bioc-rsamtools 2.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 BugReports: https://github.com/Bioconductor/Rsamtools/issues
-Version: 2.6.0
+Version: 2.10.0
 License: Artistic-2.0 | file LICENSE
 Encoding: UTF-8
 Author: Martin Morgan, Hervé Pagès, Valerie Obenchain, Nathaniel
@@ -19,21 +19,21 @@
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
 Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.31.8),
-        Biostrings (>= 2.47.6)
+        Biostrings (>= 2.47.6), R (>= 3.5.0)
 Imports: utils, BiocGenerics (>= 0.25.1), S4Vectors (>= 0.17.25),
         IRanges (>= 2.13.12), XVector (>= 0.19.7), zlibbioc, bitops,
         BiocParallel, stats
 Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
-        TxDb.Dmelanogaster.UCSC.dm3.ensGene, KEGG.db,
+        TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
         BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle
 LinkingTo: Rhtslib (>= 1.17.7), S4Vectors, IRanges, XVector, Biostrings
 LazyLoad: yes
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_12
-git_last_commit: f2aea06
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: b19738e
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 03:04:58 UTC; biocbuild
+Packaged: 2021-10-26 22:38:08 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.10.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 10:33:10 +0100

r-bioc-rsamtools (2.8.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/u/metadata: Added references to registries

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 13:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-genomeinfodb (>= 1.1.3),
-               r-bioc-genomicranges (>= 1.31.8),
-               r-bioc-biostrings (>= 2.47.6),
-               r-bioc-biocgenerics (>= 0.25.1),
-               r-bioc-s4vectors (>= 0.17.25),
-               r-bioc-iranges (>= 2.13.12),
-               r-bioc-xvector (>= 0.19.7),
+               r-bioc-genomeinfodb,
+               r-bioc-genomicranges,
+               r-bioc-biostrings,
+               r-bioc-biocgenerics,
+               r-bioc-s4vectors,
+               r-bioc-iranges,
+               r-bioc-xvector,
                r-bioc-zlibbioc,
                r-cran-bitops,
                r-bioc-biocparallel,
                r-bioc-rhtslib,
                libcurl4-openssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
 Homepage: https://bioconductor.org/packages/Rsamtools/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html .*/Rsamtools_([\d\.]+)\.tar\.gz

## r-bioc-rsamtools 2.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 BugReports: https://github.com/Bioconductor/Rsamtools/issues
-Version: 2.10.0
+Version: 2.12.0
 License: Artistic-2.0 | file LICENSE
 Encoding: UTF-8
 Author: Martin Morgan, Hervé Pagès, Valerie Obenchain, Nathaniel
@@ -31,9 +31,9 @@
 LazyLoad: yes
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_14
-git_last_commit: b19738e
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: d6a65dd
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:38:08 UTC; biocbuild
+Packaged: 2022-04-26 21:55:17 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.12.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 10:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-biocparallel,
                r-bioc-rhtslib,
                libcurl4-openssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
 Homepage: https://bioconductor.org/packages/Rsamtools/

## r-bioc-rsamtools 2.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 BugReports: https://github.com/Bioconductor/Rsamtools/issues
-Version: 2.12.0
+Version: 2.14.0
 License: Artistic-2.0 | file LICENSE
 Encoding: UTF-8
 Author: Martin Morgan, Hervé Pagès, Valerie Obenchain, Nathaniel
@@ -27,13 +27,13 @@
         TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
         BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle
-LinkingTo: Rhtslib (>= 1.17.7), S4Vectors, IRanges, XVector, Biostrings
+LinkingTo: Rhtslib (>= 1.99.3), S4Vectors, IRanges, XVector, Biostrings
 LazyLoad: yes
 SystemRequirements: GNU make
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_15
-git_last_commit: d6a65dd
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 8302eb7
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
-Packaged: 2022-04-26 21:55:17 UTC; biocbuild
+Packaged: 2022-11-01 22:49:22 UTC; biocbuild

=== debian/changelog ===
r-bioc-rsamtools (2.14.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:21:24 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                r-bioc-zlibbioc,
                r-cran-bitops,
                r-bioc-biocparallel,
-               r-bioc-rhtslib,
+               r-bioc-rhtslib (>= 1.99.3),
                libcurl4-openssl-dev
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
